## mgt 2.31-1

=== Makefile ===
#   There is NO X version of this program
#
#        "mgt" Copyright 1991 Shodan
#		All Rights Reserved.
#		Program by Greg Hale and Adrian Mariano
#
#Permission to use, copy, modify, and distribute this software and its
#documentation for any purpose and without fee is hereby granted,
#provided that this entire comment and copyright notice appear in all
#copies and that both that copyright notice and this permission notice
#appear in supporting documentation.  No representations are made about
#the suitability of this software for any purpose.  It is provided "as
#is" without express or implied warranty.
#
#Please send copies of extensions to:
#
# hale@scam.berkeley.edu
# 128.32.138.4    scam.berkeley.edu
#
#Donations for the 'From My Go Teacher' series may be sent to:
#	Shodan
#	P.O. Box 4456
#	Berkeley, CA 94704
#	(415) 574-5572
#
#
# Makefile for mgt
# by Greg Hale and Adrian Mariano
#
# *** C compile flags.
#
# -O: optimize
# -DDEBUG: turn on program debugging
#
# *** CONFIGURATION ***
#
# Choose one of
#   -DMGT_UNIX  Compile under UNIX
#   -DMGT_IBM   Compile on IBM PC under Turbo C (Use the other Makefile!)
#
#   -DMGT_LIB=\"/usr/lib/mgt/\":   defines a library directory for games
#

DEFS=-DMGT_UNIX -DMGT_LIB=\"/usr/lib/games/mgt/\"

# If you read this Makefile, you may notice many references to an 
# X Windows program.  This program has been released and is available
# at the standard archive sites.


E	=
O 	= .o

CC	= cc
CFLAGS	= -O $(DEFS)

LD 	= cc
LDFLAGS	=
LIBS	= 
#CUR_LIBS = -lcurses -ltermcap
CUR_LIBS = -lcurses
X11_LIBS =

# DIRECTORIES - CONFIGURE DESTINATIONS
# BINDIR is where it is installed
BINDIR		=		/usr/games
MAN             =		mgt.doc
SHAR 		=		mgt.sh

# files which make up the shell archive along with sources

FILES = 	Smart-Go.def README Makefile format mgt.6 \
		Spec.io Makefile.bc Build.com mailgo mailgo.6 mgtdoc.asc \
		Sample.01 Sample.02 Rules Prop.lst README.IBM wrapmgt.6 \
		wrapmgt.c mgt2short mgt2short.6 mgtshort.bat mgtshort.cmd

SH_OBJS = 	help$O build$O comment$O doit$O \
		edit$O mgt$O parse$O play$O tree$O

SH_SRCS =	help.c ascii.c build.c comment.c doit.c \
		edit.c mgt.c parse.c play.c tree.c

ASC_OBJS= ascii$O

OBJECTS =	help$O ascii$O build$O comment$O doit$O \
		edit$O mgt$O parse$O play$O tree$O


SRCS =		help.c asc_ibm.inc asc_unix.inc mou.c \
		ascii.c build.c comment.c doit.c edit.c \
		mgt.c parse.c play.c tree.c

HDRS = 		mgt.h proto.h mou.h


all : begin curses wrapmgt man end

begin :
	@echo Begin...

end :
	@echo ...End
		
curses : mgt$E
	@echo Completed curses based version.

mgt$E : $(SH_OBJS) $(ASC_OBJS)
	$(LD) $(LDFLAGS) -o mgt$E $(SH_OBJS) $(ASC_OBJS) $(CUR_LIBS)

wrapmgt$E : wrapmgt.o
	$(LD) -o wrapmgt$E wrapmgt.o

ascii.o: ascii.c asc_unix.inc

$(MAN): mgt.6
	@echo "Creating mgt manual..."
	@nroff -man mgt.6 > $(MAN)
	@echo "done."

mailgo.doc: mailgo.6
	@echo "Creating mailgo manual..."
	@nroff -man mailgo.6 > mailgo.doc
	@echo "done."

wrapmgt.doc: wrapmgt.6
	@echo "Creating wrapmgt manual..."
	@nroff -man wrapmgt.6 > wrapmgt.doc
	@echo "done."

mgt2short.doc: mgt2short.6
	@echo "Creating mgt2short manual..."
	@nroff -man mgt2short.6 > mgt2short.doc
	@echo "done."

man: $(MAN) wrapmgt.doc mailgo.doc mgt2short.doc

clean:
	@echo "removing extra files..."
	@-rm -f *$O $(SHAR) xmgt$E mgt$E
	@echo "done."

proto:
	@echo "making proto.h file..."
	@-rm -f ./proto.h
	@egrep "FUNCTION" $(SH_SRCS) | sed "s/(.*)/();/" | sed "s/^.*://" | sed "s/FUNCTION/extern/"  | cat > ./proto.h
	@echo "done."

lint:
	@echo "making lint file..."
	@-rm -f ./lint.out
	@lint -u $(DEFS) $(SH_SRCS) > ./lint.out
	@echo "done."

new: proto clean all

mgtdoc.asc: $(MAN)
	@echo "Making ascii doc file..."
	@cat $(MAN) | col -b > mgtdoc.asc;
	@echo "done."


shar: mgtdoc.asc
	@shar $(SRCS) $(HDRS) $(FILES) > $(SHAR)

install : $(PROGRAM) $(ARCHIVE)
	@-install $(PROGRAM) $(BINDIR)/$(PROGRAM)

## mgt 2.31

=== debian/changelog ===
mgt (2.31-8) unstable; urgency=medium

  * Rewrite rules using debhelper.

 -- Steve M. Robbins <smr@debian.org>  Sat, 23 Oct 2021 23:14:37 -0500

mgt (2.31-7) unstable; urgency=medium

  * [ef0250f] Set debhelper compat to 9. Closes: #829221
  * [579a8e3] Avoid removing wrapmgt and debian/compat in clean rule.
  * [8e7f488] Build-depend on debhelper >=9.
  * control: Update standards version. Add ${misc:Depends}. Remove leading article from description.
  * Add README.source.

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jul 2016 01:32:16 -0500

mgt (2.31-6) unstable; urgency=low

  * debian/rules: include patchsys-quilt.mk.
  * debian/control: build-depend on quilt.

  * debian/patches/cdbs-prep.patch: New.  Move the 2007-08-18 changes from
    the diff.gz to here.
  
  * debian/patches/modernize-code.patch: New.  Move the remaining debian
    diff changes here.

  * debian/patches/manpages.patch: New. Fix bugs in mgt.6 and mailgo.6.

  * debian/patches/secure-tmpfile-creation.patch: New.  Use "mktemp" to
    securely create a temp file.  Thanks to Thijs Kinkhorst for the patch.
    Closes: #496434.

  * debian/control: Set Standards-Version to 3.8.0.0; no changes.

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Aug 2008 21:06:47 -0500

mgt (2.31-5) unstable; urgency=low

  * Makefile: Move $(DEFS) out of CFLAGS definition into rule .c.o.  This
    is needed because cdbs sets CFLAGS on the make invocation.

  * debian/rules: Rewrite using cdbs.  Now honours nostrip option.
    Closes: #437562.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Aug 2007 01:26:03 -0500

mgt (2.31-4) unstable; urgency=low

  * Remove postinst and prerm scripts that set up obsolete /usr/doc/mgt 
  symlink.  See: #322762.

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Aug 2005 14:05:43 -0400

mgt (2.31-3) unstable; urgency=low

  * Do not define true and false, include stdbool.h instead.  
    Closes: #133705,133754.
    Thanks to Junichi Uekawa.  One bug report is sufficient!

 -- Steve M. Robbins <smr@debian.org>  Wed, 13 Feb 2002 09:21:33 -0500

mgt (2.31-2) unstable; urgency=low

  * New maintainer (closes: #89959).

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Jul 2001 10:37:46 -0400

mgt (2.31-1.3) unstable; urgency=low

  * Non-Maintainer Upload, during Bug Squashing Party.
  * debian/copyright: add download URL and author name.
  * Built against libncurses5 (closes: #52336). Die, ncurses3.4, die!
  * debian/control:
    + added Build-Depends
    + updated Standards-Version to 3.5.2.0.
    + Maintainer: Debian QA Group <debian-qa@lists.debian.org>. One unique
      upload in four years just sucks
  * debian/README.Debian: removed, it was obsolete and redundant.
  * debian/rules:
    + FHS transition: install manpages and docs in /usr/share.
    + call dpkg-gencontrol with "-isp".
    + install Spec.io with the other docs.
    + install debian/changelog as changelog.Debian
    + removed .note and .comment sections from binaries.
  * debian/{postinst,prerm}: add usr/doc -> usr/share/doc links.

 -- Jordi Mallach <jordi@debian.org>  Fri, 16 Mar 2001 22:24:12 +0100

mgt (2.31-1.2) unstable; urgency=low

  * Non-maintainer release with source after waiting 8 months for the
    maintainer to do something; fixes: #22886
  * sprinkled a couple of stdlib.h includes for malloc prototypes
  * ditto string.h includes for strcpy/strlen prototypes
  * remove debian/files and debian/substvars in clean target

 -- Paul Slootman <paul@debian.org>  Tue, 15 Dec 1998 13:24:28 +0100

mgt (2.31-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.
  * Updated from pre 2.0.0.0 package format.

 -- Martin Mitchell <martin@debian.org>  Wed, 12 Nov 1997 20:04:48 +1100

mgt (2.31-1); priority=LOW

  * Initial release

 -- Brian Sulcer <bsulcer@pobox.com>   Tue, 30 Jul 1996 17:52:59 

=== debian/control ===
Source: mgt
Section: games
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: libncurses5-dev, debhelper-compat (= 13), quilt
Standards-Version: 3.9.8

Package: mgt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: game record display/editor for the oriental game of go
 Mgt allows the user to examine Go game tree files in the SmartGo format.
 Mgt also has basic Go game tree editing capabilities and may be used
 to create or edit game tree files.
 .
 Mailgo is a utility which manages E-mail Go games using mgt as the Go
 board editor.  It is included in the mgt package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install mailgo mgt mgt2short wrapmgt usr/games
	dh_install Rules Sample.01 Sample.02 usr/lib/games/mgt
	dh_installman *.6
	dh_installdocs Prop.lst README Smart-Go.def Spec.io
